Bug 6381 - dracut: Add a few more kernel modules to initrd
: dracut: Add a few more kernel modules to initrd
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: Eugene Shatokhin
: ROSA Linux Bugs
:
Depends on:
Blocks: 6007
  Show dependency treegraph
 
Reported: 2015-11-26 16:35 MSK by Eugene Shatokhin
Modified: 2015-12-07 19:27 MSK (History)
1 user (show)

See Also:
RPM Package: dracut
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
eugene.shatokhin: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2015-11-26 16:35:52 MSK
* hid-logitech-hidpp - fixes http://bugs.rosalinux.ru/show_bug.cgi?id=6007

* xhci-pci - without it, xhci_hcd from kernel 4.1 is unusable on many systems. As a result, the system cannot mount the boot medium when booting from a USB stick plugged into USB3 port.

Perhaps, it is also worth extracting the initrd images used in Live mode by modern versions of Fedora, OpenSUSE, Ubuntu and compare the set of kernel modules they use with ours. Then - add to our inirds what is missing.
Comment 1 Eugene Shatokhin 2015-12-02 16:37:27 MSK
Advisory:
dracut was updated to version 041-12. In this update, the following drivers are included into initrd images by default: hid-logitech-hidpp (bug #6007), xhci-pci (needed to properly support USB3), xhci-plat-hcd (just in case). Besides that, the kernel modules that are already built-in (ext4, ahci) were removed from the list of explicitly included ones. asus-nb-wmi was also removed, it should load at a later stage if needed.


Build lists:
i586:
https://abf.io/build_lists/2603235
x86_64:
https://abf.io/build_lists/2603236


An ISO image with the new dracut, for testing boot from USB3, etc.:
https://abf.io/platforms/rosa2014.1/products/111/product_build_lists/13674
Comment 2 Vladimir Potapov 2015-12-02 18:48:26 MSK
The update is sent to expanded testing
**************************************
Comment 3 Vladimir Potapov 2015-12-07 18:09:31 MSK
dracut-041-12
https://abf.io/build_lists/2603235
https://abf.io/build_lists/2603236
*************************** Advisory ***************************
dracut was updated to version 041-12. In this update, the following drivers are included into initrd images by default: hid-logitech-hidpp (bug #6007), xhci-pci (needed to properly support USB3), xhci-plat-hcd (just in case). Besides that, the kernel modules that are already built-in (ext4, ahci) were removed from the list of explicitly included ones. asus-nb-wmi was also removed, it should load at a later stage if needed.
****************************************************************
QA Verified